scrub-obsolete Package - qtsvg-opensource-src

Ready changes

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index 0b864c2..16bdd89 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,11 @@ qtsvg-opensource-src (5.15.1-3) UNRELEASED; urgency=medium
 
   * Apply multi-arch hints.
     + qtsvg5-doc, qtsvg5-doc-html: Add Multi-Arch: foreign.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on pkg-kde-tools.
+    + libqt5svg5: Drop versioned constraint on dpkg in Pre-Depends.
+    + libqt5svg5-dev: Drop versioned constraint on dpkg in Pre-Depends.
+    + qtsvg5-examples: Drop versioned constraint on dpkg in Pre-Depends.
 
  -- Debian Janitor <janitor@jelmer.uk>  Sun, 01 Nov 2020 13:13:12 -0000
 
diff --git a/debian/control b/debian/control
index 159ce70..b3d0063 100644
--- a/debian/control
+++ b/debian/control
@@ -13,7 +13,7 @@ Build-Depends: dbus,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libqt5opengl5-dev (>= 5.15.1+dfsg~),
-               pkg-kde-tools (>= 0.15.17),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.15.1+dfsg~),
                qtbase5-private-dev (>= 5.15.1+dfsg~),
                zlib1g-dev
@@ -28,7 +28,7 @@ Package: libqt5svg5
 Architecture: any
 Multi-Arch: same
 Provides: qtsvg-abi-5-15-1
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg, ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -43,7 +43,7 @@ Package: libqt5svg5-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
+Pre-Depends: dpkg
 Depends: libqt5svg5 (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 SVG module development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -61,7 +61,7 @@ Package: qtsvg5-examples
 Architecture: any
 Section: x11
 Multi-Arch: same
-Pre-Depends: dpkg (>= 1.15.6~)
+Pre-Depends: dpkg
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 SVG examples
  Qt is a cross-platform C++ application framework. Qt's primary feature

Run locally

Try this locally (using the lintian-brush package):

debcheckout qtsvg-opensource-src
cd qtsvg-opensource-src
deb-scrub-obsolete

More details

Full run details